%define module  Data-Hierarchy
%define name    perl-%{module}
%define version 0.30
%define release %mkrel 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPL or Artistic
Group:          Development/Perl
Summary:        Perl module to handle data in a hierarchical structure
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Data/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:  perl-devel
%endif
BuildRequires:  perl(Clone)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
Data::Hierarchy provides a simple interface for manipulating 
inheritable data attached to a hierarchical environment (like filesystem).

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%{makeinstall_std}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES README 
%{perl_vendorlib}/Data
%{_mandir}/man3/*

%changelog
* Wed Aug 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.30-1mdv2007.0
- New version 0.30

* Thu Jun 08 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.22-1mdv2007.0
- New release 0.22
- spec cleanup
- better source URM
- %%mkrel
- drop manifest from doc
- don't ship empty directories

* Wed Feb 09 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.21-2mdk
- rebuild for new perl

* Fri Nov 12 2004 Michael Scherer <misc@mandrake.org> 0.21-1mdk
- New release 0.21

* Sun Sep 26 2004 Michael Scherer <misc@mandrake.org> 0.20-1mdk
- New release 0.20

* Tue Sep 21 2004 Michael Scherer <misc@mandrake.org> 0.19-1mdk
- New release 0.19

* Fri Jun 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.18-1mdk
- 0.18
- cosmetics

* Fri Apr 02 2004 Michael Scherer <misc@mandrake.org> 0.17-1mdk
- 0.17
 
* Fri Apr 02 2004 Michael Scherer <misc@mandrake.org> 0.15-1mdk 
- First MandrakeSoft Package
